List webhook events
curl --request GET \
--url https://api.synctera.com/v1/webhooks/{webhook_id}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/webhooks/{webhook_id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/webhooks/{webhook_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_list": [
{
"event_resource": "<string>",
"event_resource_changed_fields": "<string>",
"event_time": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_history": [
{
"code": 123,
"response_body": "<string>",
"response_time": "2023-11-07T05:31:56Z",
"sent_time": "2023-11-07T05:31:56Z"
}
],
"status": "FAILED",
"type": "ADVERSE_ACTION.CREATED",
"url": "<string>",
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Webhooks
List webhook events
List webhook events. This response does not include the event response history.
GET
/
webhooks
/
{webhook_id}
/
events
List webhook events
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Webhook ID
Example:
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
Query Parameters
Start time of date-time range filtering for events. Date is inclusive and should be in UTC timezone 00:00:00.
End time of date-time range filtering for events. Date is inclusive and should be in UTC timezone 00:00:00.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Limit returned events to those that occurred on the specified resource.
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Was this page helpful?

